For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Update a platform integration. Note: only integrations in development may be updated. Integrations submitted for publication cannot be updated.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
idstringRequiredformat: "id"
The ID of the platform integration to update
Request
This endpoint expects an object.
authorstringOptional1-160 characters
The name of the integration developer
call_to_actionstring or nullOptional>=1 character
The call to action text
configuration_fieldsobjectOptional
A json-schema describing the settings fields that a user should be presented with when installing the integration
contactstringOptional>=1 character
The URL or email address where users of the integration can reach out for support
descriptionstringOptional>=1 character
A description of what the integration does and how to use it
error_codesobject or nullOptional
An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed
icon_urlstring or nullOptionalformat: "url">=1 character
The URL of the icon that should be displayed with your integration
identifier_field_pathstringOptional
JMESPath describing which of the fields in configuration_fields is the best human-friendly field to use to identify a specific installation (e.g., account name)
namestringOptional1-160 characters
The name of the integration
oauth_callback_urlstringOptionalformat: "url">=1 character
The get endpoint that will be invoked after OAuth authorization
scopeslist of stringsOptional
The list of OAuth token permissions the integration requests when installed
tagslist of enumsOptional
A list of tags that describe the type of integration
Allowed values:
uninstallation_urlstringOptionalformat: "url">=1 character
The delete endpoint that initiates the uninstallation flow for the integration
Response
Platform integration updated
idstring
The unique identifier for the integration
statusstring
The current state of the integration (development, approved, archived)
identifier_field_pathstring
JMESPath describing which of the fields in configuration_fields is the best human-friendly field to use to identify a specific installation (e.g., account name)
namestring1-160 characters
The name of the integration
descriptionstring>=1 character
A description of what the integration does and how to use it
authorstring1-160 characters
The name of the integration developer
contactstring>=1 character
The URL or email address where users of the integration can reach out for support
uninstallation_urlstringformat: "url">=1 character
The delete endpoint that initiates the uninstallation flow for the integration
oauth_callback_urlstringformat: "url">=1 character
The get endpoint that will be invoked after OAuth authorization
tagslist of enums
A list of tags that describe the type of integration
Allowed values:
scopeslist of strings
The list of OAuth token permissions the integration requests when installed
configuration_fieldsobject
A json-schema describing the settings fields that a user should be presented with when installing the integration
createdstringOptionalformat: "date-time"
The date the integration was created
updatedstringOptionalformat: "date-time"
The date the integration was last updated
icon_urlstring or nullOptionalformat: "url">=1 character
The URL of the icon that should be displayed with your integration
call_to_actionstring or nullOptional>=1 character
The call to action text
error_codesobject or nullOptional
An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed